Read event subscriptions
curl --request GET \
--url https://api.hubapi.com/webhooks/v3/{appId}/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/webhooks/v3/{appId}/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/webhooks/v3/{appId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"active": true,
"createdAt": "2019-10-30T03:30:17.883Z",
"eventType": "contact.propertyChange",
"id": "12",
"propertyName": "email",
"updatedAt": "2019-11-30T03:30:17.883Z"
},
{
"active": true,
"createdAt": "2019-10-30T03:30:17.883Z",
"eventType": "deal.creation",
"id": "13",
"updatedAt": "2019-11-30T03:30:17.883Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Subscriptions
Read event subscriptions
Retrieve event subscriptions for the specified app.
GET
/
webhooks
/
v3
/
{appId}
/
subscriptions
Read event subscriptions
Supported products
Supported products
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the target app.
Response
successful operation
List of event subscriptions for your app
An array containing all active and paused event subscriptions configured for the app. Each item in the array is a SubscriptionResponse object.
Show child attributes
Show child attributes
Last modified on March 30, 2026
Was this page helpful?
⌘I